## ros-foxy-slider-publisher 2.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(slider_publisher)

find_package(ament_cmake REQUIRED)

install(DIRECTORY
        examples
        DESTINATION share/${PROJECT_NAME})

install(PROGRAMS
        src/slider_publisher
        src/dummy_gazebo_server
        DESTINATION lib/${PROJECT_NAME})

ament_package()

=== debian/changelog ===
ros-foxy-slider-publisher (2.2.1-3focal) focal; urgency=high

  * remove py extension, fix rate default value
  * switch to CMake to avoid deprecation messages
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Fri, 23 Sep 2022 22:00:00 -0000

ros-foxy-slider-publisher (2.2.0-3focal) focal; urgency=high

  * add python3-scipy and numpy dependencies
  * rate and config parameters
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Tue, 20 Sep 2022 22:00:00 -0000

ros-foxy-slider-publisher (2.1.1-3focal) focal; urgency=high

  * underscores in setup.cfg
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Mon, 02 May 2022 22:00:00 -0000

ros-foxy-slider-publisher (2.1.0-3focal) focal; urgency=high

  * do not re-call service if request has not changed
  * example Twist defaults to 0 velocity
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Thu, 17 Mar 2022 23:00:00 -0000

ros-foxy-slider-publisher (2.0.1-3focal) focal; urgency=high

  * bug in type detection for roll pitch yaw
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Wed, 18 Aug 2021 22:00:00 -0000

ros-foxy-slider-publisher (2.0.0-3focal) focal; urgency=high

  * add service and detects value type (float / int / bool)
  * can pick default value
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Tue, 17 Aug 2021 22:00:00 -0000

ros-foxy-slider-publisher (1.0.2-3focal) focal; urgency=high

  * README typo
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Sat, 17 Apr 2021 22:00:00 -0000

ros-foxy-slider-publisher (1.0.0-3focal) focal; urgency=high

  * ROS 2 branch

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Wed, 24 Jun 2020 22:00:00 -0000

ros-foxy-slider-publisher (0.1.1-3focal) focal; urgency=high

  * title is now node name
  * Twist without default
  * velocity -> twist
  * Update README.md
  * topic paths
  * without python setup as its only an executable
  * now displays topics in GUI
  * works for arrays of float
  * default timestamp if in message header
  * more README
  * initial commit
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Wed, 22 Nov 2017 23:00:00 -0000

=== debian/control ===
Source: ros-foxy-slider-publisher
Section: misc
Priority: optional
Maintainer: Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-slider-publisher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-numpy, python3-scipy, ros-foxy-rqt-gui-py, ros-foxy-ros-workspace
Description: This packages proposes a slider-based publisher node similar to the joint_state_publisher, but that can publish any type of message or call services.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-slider-publisher//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
